Makes event non-pending

- « Event::__construct

- Event::delSignal »

- PHP Manual
- Event
- Makes event non-pending

# Event::del

(PECL event >= 1.2.6-beta)

Event::del — Makes event non-pending

### Description

public Event::del(): bool

Removes an event from the set of monitored events, i.e. makes it non-pending.

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- Event::add() - Makes event pending